### Enumeration

# GtkSource SpaceLocationFlags

#### Declaration

    flags GtkSource.SpaceLocationFlags

#### Description [src]

`GtkSourceSpaceLocationFlags` contains flags for white space locations.

If a line contains only white spaces (no text), the white spaces match both `GTK_SOURCE_SPACE_LOCATION_LEADING` and `GTK_SOURCE_SPACE_LOCATION_TRAILING`.

#### Members

`GTK_SOURCE_SPACE_LOCATION_NONE`

  No flags.

  - Value: `0`
  - Available since: 5
`GTK_SOURCE_SPACE_LOCATION_LEADING`

  Leading white spaces on a line, i.e. the indentation.

  - Value: `1`
  - Available since: 5
`GTK_SOURCE_SPACE_LOCATION_INSIDE_TEXT`

  White spaces inside a line of text.

  - Value: `2`
  - Available since: 5
`GTK_SOURCE_SPACE_LOCATION_TRAILING`

  Trailing white spaces on a line.

  - Value: `4`
  - Available since: 5
`GTK_SOURCE_SPACE_LOCATION_ALL`

  White spaces anywhere.

  - Value: `7`
  - Available since: 5